## javax.faces.component
Class UIColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn

All Implemented Interfaces:
  StateHolder

public class UIColumn
extends UIComponentBase

see Javadoc of JSF Specification

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`UIColumn()`

Method Summary
`java.lang.String` `getFamily()`
`UIComponent` `getFooter()`
`UIComponent` `getHeader()`
`void` `setFooter(UIComponent footer)`
`void` `setHeader(UIComponent header)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIColumn

    public UIColumn()

Method Detail

### setFooter

    public void setFooter(UIComponent footer)

### getFooter

    public UIComponent getFooter()

### setHeader

    public void setHeader(UIComponent header)

### getHeader

    public UIComponent getHeader()

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`